Redmine - Patch #8772

Provide a hook for projects index contextual menu customization
2011-07-08 15:56 - Alex Shulgin

Status: Closed Start date: 2011-07-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Hook requests Estimated time: 0.00 hour
Target version:

Description

Attached patch adds a new hook called :view_projects_index_activity_menu. It allows plugins to add more links to the contextual
menu at the projects index page.

The menu is currently fixed to:

New project | View all issues | Overall spent time | Overall activity
The patch allows to add more links like this, before the last one: 'Overall activity'.

Example of usage:

https://github.com/commandprompt/redmine_pastebin/blob/master/app/views/hooks/_view_projects_index_activity _menu.html.erb
(adds 'View all pastes' link.)

Related issues:
Is duplicate of Redmine - Patch #11492: Added :view_projects_index_activity _m... Closed

History

#1 - 2011-07-09 12:28 - Etienne Massip
- Category changed from Projects to Plugin API

#2 - 2016-12-30 09:20 - Go MAEDA
- Category changed from Plugin API to Hook requests

#3 - 2016-12-30 09:50 - Go MAEDA
- Is duplicate of Patch #11492: Added :view_projects_index_activity_menu hook added

#4 - 2016-12-30 09:51 - Go MAEDA

- Status changed from New to Closed

Closing as a duplicate of #11492.

Files

0001-Added-view_projects_index_activity_menu-hook.patch 1.16 KB 2011-07-08 Alex Shulgin

2025-05-02 1/1



https://github.com/commandprompt/redmine_pastebin/blob/master/app/views/hooks/_view_projects_index_activity_menu.html.erb
https://www.redmine.org/issues/11492
http://www.tcpdf.org

